Package com.google.android.exoplayer2.testutil.truth

## Interface SpannedSubject.WithSpanFlags

- Enclosing class:
    SpannedSubject

      public static interface SpannedSubject.WithSpanFlags

  Allows additional assertions to be made on the flags of matching spans.

  Identical to `SpannedSubject.AndSpanFlags`, but this should be returned from `has...()` methods while `SpannedSubject.AndSpanFlags` should be returned from `with...()` methods.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `withFlags​(int flags)` | Checks that one of the matched spans has the expected `flags`.

- - ### Method Detail

    - #### withFlags

          void withFlags​(int flags)

      Checks that one of the matched spans has the expected `flags`.
      Parameters:
        `flags` - The expected flags. See SPAN_* constants on `Spanned` for possible values.